<?php
header('content-type: application/json');
header("access-control-allow-origin: *");
require_once(dirname(__FILE__)."/../packages/require_api.php");

if(isset($_GET['action'])){

	require_once($global['root-model']."Crud.php");
	$obj_crud = new Crud();

	require_once($global['root-model']."Activity.php");
	$obj_activity = new Activity();

	//===================================== Get Data ========================================
	if($_GET['action'] == 'get_dashboard'){

		$R_message = array("code" => "400", "message" => "No Data");

		$N_user_id = isset($_REQUEST['user_id']) ? $_REQUEST['user_id'] : "";

		$N_page = isset($_REQUEST['page']) ? $_REQUEST['page'] : "";
		$itemperpage = isset($_REQUEST['item']) ? $_REQUEST['item'] : "";

		if($N_user_id != ""){

			$result = $obj_activity->get_data_act($obj_crud, $N_page, $itemperpage);
			
			if(is_array($result)){
				$total_data = $result[0]['total_data_all'];
				$total_page = $result[0]['total_page'];
				$remaining = $total_data - ((($N_page-1) * $itemperpage) + count($result));
				$R_message = array("code" => "200", "message" => "Fetch success", "num_data" => count($result), "remaining" => $remaining, "total_data" => $total_data, "total_page" => $total_page, "data" => $result);
			}

			echo json_encode($R_message); 
		} else {
			$R_message = array("code" => "402", "message" => "Unauthorized access");
			echo json_encode($R_message);
		}
	} else {
		$R_message = array("code" => "404", "message" => "Action Not Found");
		echo json_encode($R_message);
	}
}//end gate
else{
	$R_message = array("code" => "404", "message" => "Not Found");
	echo json_encode($R_message);
}
?>